Commit 46653cb6 authored by Anton Midyukov's avatar Anton Midyukov

Merge tag 'v1.5.2' into sisyphus

v1.5.2
parents c56ddd19 f6babce3
...@@ -52,7 +52,7 @@ distro/.live-desktop: distro/.live-x11 +live use/live/install use/stage2/net-eth ...@@ -52,7 +52,7 @@ distro/.live-desktop: distro/.live-x11 +live use/live/install use/stage2/net-eth
use/plymouth/live; @: use/plymouth/live; @:
distro/.live-desktop-ru: distro/.live-desktop use/live/ru; @: distro/.live-desktop-ru: distro/.live-desktop use/live/ru; @:
distro/.live-kiosk: distro/.live-base use/live/autologin use/live/runapp \ distro/.live-kiosk: distro/.live-base use/live/autologin \
use/syslinux/timeout/1 use/cleanup use/stage2/net-eth \ use/syslinux/timeout/1 use/cleanup use/stage2/net-eth \
use/fonts/otf/adobe use/fonts/otf/adobe
@$(call add,CLEANUP_PACKAGES,'alterator*' 'guile*' 'vim-common') @$(call add,CLEANUP_PACKAGES,'alterator*' 'guile*' 'vim-common')
...@@ -142,7 +142,7 @@ distro/live-gimp: distro/live-icewm use/live/ru ...@@ -142,7 +142,7 @@ distro/live-gimp: distro/live-icewm use/live/ru
@$(call add,LIVE_PACKAGES,macrofusion) @$(call add,LIVE_PACKAGES,macrofusion)
@$(call add,LIVE_PACKAGES,qtfm openssh-clients rsync usbutils) @$(call add,LIVE_PACKAGES,qtfm openssh-clients rsync usbutils)
distro/live-blender: distro/.live-games distro/live-blender: distro/.live-games use/live/runapp
@$(call add,LIVE_PACKAGES,blender) @$(call add,LIVE_PACKAGES,blender)
@$(call set,LIVE_RUNAPP_BINARY,blender) @$(call set,LIVE_RUNAPP_BINARY,blender)
@$(call try,HOMEPAGE,http://blender.com/) @$(call try,HOMEPAGE,http://blender.com/)
......
mixin/alt-server: server_groups = $(addprefix centaurus/,\ mixin/alt-server: server_groups = $(addprefix centaurus/,\
10-alterator 20-server-apps 50-freeipa 70-dev 901-net-if-mgt \ 10-alterator 20-server-apps 50-freeipa 70-dev 901-net-if-mgt \
sambaDC buildsystem dhcp-server-a diag-tools dns-server-a ftp-server-a \ sambaDC buildsystem dhcp-server-a diag-tools dns-server-a ftp-server-a \
mail-server-a owncloud domain-server freeipa-client nm-daemon \ mail-server-a owncloud freeipa-client nm-daemon \
systemd-networkd openuds openuds-tunnel admc) systemd-networkd openuds openuds-tunnel admc)
mixin/alt-server: server_main_kmodules = bcmwl ch34x dm-secdel drbd9 drm-ancient \ mixin/alt-server: server_main_kmodules = bcmwl ch34x dm-secdel drbd9 drm-ancient \
......
# shared across all supported arches, can be complemented per arch # shared across all supported arches, can be complemented per arch
mixin/alt-workstation-install: workstation_groups = $(addprefix workstation/,\ mixin/alt-workstation-install: workstation_groups = $(addprefix workstation/,\
10-office 20-networking 30-multimedia 40-virtualization 50-publishing \ 10-office 20-networking 30-multimedia 40-virtualization \
raccess agents emulators ganttproject gnome-peer-to-peer graphics-editing \ raccess agents emulators ganttproject gnome-peer-to-peer graphics-editing \
libreoffice mate-usershare pidgin scanning scribus \ libreoffice mate-usershare pidgin scanning scribus \
sound-editing thunderbird freeipa-client gpolicy) sound-editing thunderbird freeipa-client gpolicy)
......
...@@ -54,6 +54,7 @@ endif ...@@ -54,6 +54,7 @@ endif
mixin/regular-desktop: +alsa +nm-native \ mixin/regular-desktop: +alsa +nm-native \
use/x11/xorg use/xdg-user-dirs use/l10n \ use/x11/xorg use/xdg-user-dirs use/l10n \
use/fonts/otf/adobe use/fonts/otf/mozilla use/branding/notes use/fonts/otf/adobe use/fonts/otf/mozilla use/branding/notes
@$(call set,LOCALES,en_US ru_RU pt_BR)
@$(call add,THE_PACKAGES,pam-limits-desktop beesu polkit dvd+rw-tools) @$(call add,THE_PACKAGES,pam-limits-desktop beesu polkit dvd+rw-tools)
@$(call add,THE_PACKAGES,polkit-rule-admin-root) @$(call add,THE_PACKAGES,polkit-rule-admin-root)
@$(call add,THE_BRANDING,alterator graphics indexhtml) @$(call add,THE_BRANDING,alterator graphics indexhtml)
......
...@@ -41,10 +41,11 @@ endif ...@@ -41,10 +41,11 @@ endif
mixin/vm-archdep-x11: mixin/vm-archdep +vmguest; @: mixin/vm-archdep-x11: mixin/vm-archdep +vmguest; @:
mixin/regular-vm-base: use/firmware use/ntp/chrony use/repo \ mixin/regular-vm-base: use/firmware use/ntp/chrony use/repo \
use/services/lvm2-disable use/services/lvm2-disable use/wireless
ifneq (,$(filter-out i586 x86_64,$(ARCH))) ifneq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call add,DEFAULT_SERVICES_DISABLE,multipathd) @$(call add,DEFAULT_SERVICES_DISABLE,multipathd)
endif endif
@$(call add,DEFAULT_SERVICES_ENABLE,sshd)
@$(call add,THE_PACKAGES,bash-completion mc update-kernel) @$(call add,THE_PACKAGES,bash-completion mc update-kernel)
@$(call add,THE_PACKAGES,vim-console) @$(call add,THE_PACKAGES,vim-console)
@$(call add,KMODULES,staging) @$(call add,KMODULES,staging)
...@@ -56,23 +57,14 @@ mixin/regular-vm-jeos: mixin/regular-vm-base use/deflogin/root \ ...@@ -56,23 +57,14 @@ mixin/regular-vm-jeos: mixin/regular-vm-base use/deflogin/root \
@$(call add,DEFAULT_SERVICES_ENABLE,getty@tty1 livecd-net-eth) @$(call add,DEFAULT_SERVICES_ENABLE,getty@tty1 livecd-net-eth)
mixin/regular-vm-x11:: mixin/regular-vm-base mixin/regular-x11 \ mixin/regular-vm-x11:: mixin/regular-vm-base mixin/regular-x11 \
mixin/regular-desktop use/oem +wireless; @: mixin/regular-desktop use/oem/vnc; @:
ifeq (,$(filter-out riscv64,$(ARCH))) vm/.regular-desktop: vm/systemd mixin/regular-vm-x11 \
mixin/regular-vm-x11:: use/oem/vnc; @:
endif
vm/.regular-desktop:: vm/systemd mixin/regular-vm-x11 \
+systemd +systemd-optimal +plymouth +systemd +systemd-optimal +plymouth
@$(call add,THE_PACKAGES,bluez) @$(call add,THE_PACKAGES,bluez)
@$(call add,THE_PACKAGES,glmark2 glmark2-es2)
@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd) @$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)
ifeq (,$(filter-out armh aarch64,$(ARCH)))
vm/.regular-desktop::
@$(call add,THE_PACKAGES,xorg-96dpi)
@$(call add,THE_LISTS,remote-access)
@$(call try,VM_SIZE,6442450944) @$(call try,VM_SIZE,6442450944)
endif
vm/.regular-desktop-sysv: vm/bare mixin/regular-vm-x11 use/x11/gdm2.20 \ vm/.regular-desktop-sysv: vm/bare mixin/regular-vm-x11 use/x11/gdm2.20 \
use/init/sysv/polkit +power; @: use/init/sysv/polkit +power; @:
...@@ -105,11 +97,15 @@ vm/regular-gnome3: vm/.regular-gtk mixin/regular-gnome3 mixin/vm-archdep-x11 ...@@ -105,11 +97,15 @@ vm/regular-gnome3: vm/.regular-gtk mixin/regular-gnome3 mixin/vm-archdep-x11
vm/regular-lxde: vm/.regular-gtk mixin/regular-lxde mixin/vm-archdep-x11; @: vm/regular-lxde: vm/.regular-gtk mixin/regular-lxde mixin/vm-archdep-x11; @:
vm/regular-mate: vm/.regular-gtk mixin/mate-base mixin/vm-archdep-x11 vm/regular-mate: vm/.regular-gtk mixin/mate-base mixin/vm-archdep-x11; @:
ifeq (,$(filter-out mipsel riscv64,$(ARCH)))
@$(call add,THE_PACKAGES,mate-reduced-resource) @$(call add,THE_PACKAGES,mate-reduced-resource)
endif
vm/regular-xfce: vm/.regular-gtk mixin/regular-xfce mixin/vm-archdep-x11 vm/regular-xfce: vm/.regular-gtk mixin/regular-xfce mixin/vm-archdep-x11; @:
ifeq (,$(filter-out mipsel riscv64,$(ARCH)))
@$(call add,THE_PACKAGES,xfce-reduced-resource) @$(call add,THE_PACKAGES,xfce-reduced-resource)
endif
vm/regular-kde5: vm/.regular-gtk mixin/regular-kde5 mixin/vm-archdep-x11 vm/regular-kde5: vm/.regular-gtk mixin/regular-kde5 mixin/vm-archdep-x11
@$(call set,VM_SIZE,7516192768) @$(call set,VM_SIZE,7516192768)
......
...@@ -142,7 +142,7 @@ endif ...@@ -142,7 +142,7 @@ endif
@$(call add,DEFAULT_SERVICES_DISABLE,ahttpd alteratord) @$(call add,DEFAULT_SERVICES_DISABLE,ahttpd alteratord)
@$(call add,DEFAULT_SERVICES_ENABLE,pve-manager pve-cluster pveproxy pvedaemon pvestatd \ @$(call add,DEFAULT_SERVICES_ENABLE,pve-manager pve-cluster pveproxy pvedaemon pvestatd \
pve-firewall pvefw-logger pve-guests pve-ha-crm pve-ha-lrm spiceproxy \ pve-firewall pvefw-logger pve-guests pve-ha-crm pve-ha-lrm spiceproxy \
lxc lxcfs lxc-net lxc-monitord qmeventd pvescheduler) lxc lxcfs lxc-net lxc-monitord qmeventd pvescheduler pve-lxc-syscalld)
@$(call add,SERVICES_ENABLE,multipathd) @$(call add,SERVICES_ENABLE,multipathd)
# @$(call add,MAIN_GROUPS,server-v/141-cockpit $(cockpit)) # @$(call add,MAIN_GROUPS,server-v/141-cockpit $(cockpit))
......
...@@ -7,15 +7,18 @@ use/deflogin: ...@@ -7,15 +7,18 @@ use/deflogin:
@$(call xport,USERS) @$(call xport,USERS)
@$(call xport,GROUPS) @$(call xport,GROUPS)
@$(call xport,SPEC_USER) @$(call xport,SPEC_USER)
@$(call xport,LIVE_USER)
# some presets # some presets
# USERS variable chunk format is "login:passwd:admin:sudo" # USERS variable chunk format is "login:passwd:admin:sudo"
# GROUPS are just stashed there to include USERS logins created # GROUPS are just stashed there to include USERS logins created
# basic livecd: root and altlinux users with no password at all # basic livecd: root with no password, live user is created at startup
use/deflogin/live: use/deflogin use/deflogin/live: use/deflogin
@$(call set,ROOTPW_EMPTY,1) @$(call set,ROOTPW_EMPTY,1)
@$(call add,USERS,altlinux::1:1) @$(call try,LIVE_USER,altlinux)
@$(call add,LIVE_PACKAGES,livecd-user)
@$(call add,DEFAULT_SERVICES_ENABLE,livecd-user)
# real thing: some control added # real thing: some control added
use/deflogin/desktop: use/deflogin/live \ use/deflogin/desktop: use/deflogin/live \
......
#!/bin/sh -efu
# setup settings for live user
[ -f /etc/sysconfig/livecd-user.conf ] || exit 0
cat > /etc/sysconfig/livecd-user.conf << EOF
LIVECD_LOGIN="${GLOBAL_LIVE_USER:-}"
LIVECD_GROUPS="${GLOBAL_GROUPS:-}"
LIVECD_ADMIN=1
LIVECD_SUDO=1
EOF
...@@ -28,196 +28,4 @@ followed by ${white}service livecd-tmpfs restart${gray} to reconfigure tmpfs ...@@ -28,196 +28,4 @@ followed by ${white}service livecd-tmpfs restart${gray} to reconfigure tmpfs
EOH EOH
EOF EOF
# predefined passwordless livecd user # predefined passwordless livecd user is created with livecd-user
USER="altlinux"
if ! id "$USER" >&/dev/null; then
echo "No such user '$USER'" >&2
exit
fi
# ~
HOME="/home/$USER"
install -dm750 -o "$USER" -g "$USER" "$HOME"
# http://altlinux.org/tmpfs
TMP="/tmp/.private/$USER"
# we honestly don't know much more
if type -t git && type -t su; then
su - -c "git config --global user.email $USER@localhost" "$USER"
su - -c "git config --global user.name 'live builder'" "$USER"
fi >&/dev/null
# developer should feel comfortable, eh? ;-)
ZSHELL="/bin/zsh"
if [ -x "$ZSHELL" ]; then
chsh -s "$ZSHELL" "$USER"
install -m644 -o "$USER" -g "$USER" /dev/null "$HOME/.zshrc"
cat >> "$HOME/.zsh_history" <<-EOF
git clone git://git.altlinux.org/gears/m/mkimage-profiles.git && cd mkimage-profiles && make help/distro
make -C /usr/share/mkimage-profiles grub.iso
git clone git://git.altlinux.org/gears/h/hello.git && cd hello && gear-hsh
EOF
fi
if type -t screen; then
cat >> "$HOME/.screenrc" <<-EOF
caption always "%{+b rk}%H%{gk} |%c %{yk}%d.%m.%Y | %72=Load: %l %{wk}"
defscrollback 1000
EOF
fi >&/dev/null
cat >> "$HOME/.profile" << EOF
alias l='ls -l'
alias m='cd /usr/share/mkimage-profiles'
clear
cat << EOH
Welcome to live builder environment!
Here are some ALT package/image build tools prepared for you:
* ${white}gear${gray}(1) -- see ${cyan}http://en.altlinux.org/gear${gray};
* ${white}hsh${gray}(1) -- see ${cyan}http://en.altlinux.org/hasher${gray};
* ${white}mkimage${gray} -- see ${cyan}http://en.altlinux.org/mkimage${gray};
* ${white}mkimage-profiles${gray} described in Russian at ${cyan}http://altlinux.org/m-p${gray}
Examples (use right/middle mouse button to paste; see ~/hasher/repo/):
* ${white}git clone git://git.altlinux.org/gears/h/hello.git && cd hello && gear-hsh${gray}
* ${white}make -C /usr/share/mkimage-profiles grub.iso${gray}
EOH
EOF
# rpm
sed -i '/^%_tmppath.*tmp$/d' "$HOME/.rpmmacros"
cat << EOF >> "$HOME/.rpmmacros"
%packager Unknown <nobody@altlinux.org>
%_target_cpu $ARCH
%_tmppath $TMP
%_sourcedir %{_topsrcdir}/SOURCES/%name
EOF
# hasher
WORKDIR="$TMP/hasher"
ln -s "$WORKDIR" "$HOME/hasher"
mkdir "$HOME/.hasher"
cat >> "$HOME/.hasher/config" << EOF
packager="\$(rpm --eval %packager)"
def_target=$ARCH
export GCC_USE_CCACHE=1
mkdir -p "$WORKDIR"
EOF
# create apt.conf for supported ARCHES and BRANCHES
# use format: $BRANCH-$ARCH
create_apt_conf () {
local PORTS=
local SIGN=
local BRANCH=$(echo "$1" | cut -f1 -d '-')
local ARCH=$(echo "$1" | cut -f2 -d '-')
local EXT_BRANCH=$(echo "$1" | cut -f3 -d '-')
[ -n "$ARCH" ] || [ -n "$BRANCH" ] || exit 1
[ -z "$EXT_BRANCH" ] || [ "$EXT_BRANCH" = port ] || exit 1
[ "$EXT_BRANCH" = port ] && PORTS=1
if [ "$BRANCH" = sisyphus ]; then
BRANCH_PATH=Sisyphus
SIGN='[alt]'
else
BRANCH_PATH=$BRANCH/branch
SIGN="[$BRANCH]"
fi
if [ -n "$PORTS" ]; then
if [ "$BRANCH" = sisyphus ]; then
BRANCH_PATH=ports/$ARCH/Sisyphus
else
BRANCH_PATH=ports/$ARCH/$BRANCH
fi
SIGN="[$BRANCH-$ARCH]"
fi
mkdir -p "$HOME/apt/lists/partial" \
"$HOME/apt/cache/$BRANCH/$ARCH/archives/partial" \
"$HOME/apt/cache/$BRANCH/noarch/archives/partial"
cat > "$HOME/apt/apt.conf.$BRANCH.$ARCH" << EOF
Dir::Etc::main "/dev/null";
Dir::Etc::SourceParts "/var/empty";
Dir::Etc::SourceList "$HOME/apt/sources.list.$BRANCH.$ARCH";
Dir::State::lists "$HOME/apt/lists/";
Dir::Cache "$HOME/apt/cache/$BRANCH/$ARCH";
;Debug::pkgMarkInstall "true";
;Debug::pkgProblemResolver "true";
EOF
cat > "$HOME/apt/sources.list.$BRANCH.$ARCH" << EOF
rpm-dir file://$HOME/hasher/repo $ARCH hasher
# Official repo (slow)
#rpm $SIGN http://ftp.altlinux.org/pub/distributions/ALTLinux/$BRANCH_PATH $ARCH classic
#rpm $SIGN http://ftp.altlinux.org/pub/distributions/ALTLinux/$BRANCH_PATH noarch classic
# Yandex mirror (fast)
rpm $SIGN http://mirror.yandex.ru/altlinux/$BRANCH_PATH $ARCH classic
rpm $SIGN http://mirror.yandex.ru/altlinux/$BRANCH_PATH noarch classic
EOF
}
target_apt_confs="
sisyphus-x86_64
sisyphus-i586
sisyphus-aarch64
sisyphus-armh
sisyphus-ppc64le
sisyphus-mipsel-port
sisyphus-riscv64-port
p10-x86_64
p10-i586
p10-aarch64
p10-armh
p10-ppc64le
p9-x86_64
p9-i586
p9-aarch64
p9-armh
p9-ppc64le
p9-mipsel-port
"
for target_apt_conf in $target_apt_confs; do
create_apt_conf "$target_apt_conf"
done
# setup mkimage-profiles settings
# add mkimage-profiles settings
mkdir -p $HOME/.mkimage
cat > $HOME/.mkimage/profiles.mk << EOF
ifneq (,\$(BRANCH))
APTCONF = ~/apt/apt.conf.\$(BRANCH).\$(ARCH)
IMAGEDIR = ~/out/\$(BRANCH)/\$(shell date +%Y%m%d)
else
APTCONF = ~/apt/apt.conf.sisyphus.\$(ARCH)
IMAGEDIR = ~/out/sisyphus/\$(shell date +%Y%m%d)
endif
CLEAN = 1
DEBUG = 1
REPORT = 1
NO_SYMLINK = 1
#NICE = 1
#QUIET = 1
EOF
# fix owner:group
chown $USER:$USER -R "$HOME"
# online repo needs network not isolation
echo "export share_network=1" >> /etc/profile.d/hasher.sh
chmod +x /etc/profile.d/hasher.sh
# squashfs-tools 4.3+
echo "allowed_mountpoints=/proc" >> /etc/hasher-priv/system
# requisite
hasher-useradd "$USER"
...@@ -18,7 +18,6 @@ ifeq (distro,$(IMAGE_CLASS)) ...@@ -18,7 +18,6 @@ ifeq (distro,$(IMAGE_CLASS))
@$(call add,STAGE1_KCONFIG,EFI EFI_PARTITION EFIVAR_FS) @$(call add,STAGE1_KCONFIG,EFI EFI_PARTITION EFIVAR_FS)
@$(call add,EFI_BOOTARGS,$$(STAGE2_BOOTARGS)) @$(call add,EFI_BOOTARGS,$$(STAGE2_BOOTARGS))
ifeq (x86_64,$(ARCH)) ifeq (x86_64,$(ARCH))
@$(call add,RESCUE_PACKAGES,refind $$(EFI_SHELL) $$(EFI_BOOTLOADER))
@$(call add,THE_PACKAGES,$$(EFI_SHELL)) @$(call add,THE_PACKAGES,$$(EFI_SHELL))
endif endif
endif endif
......
...@@ -17,7 +17,9 @@ ...@@ -17,7 +17,9 @@
* BOOTVGA -- видеорежим, запрашиваемый у ядра (параметр vga=); * BOOTVGA -- видеорежим, запрашиваемый у ядра (параметр vga=);
* GRUB_UI -- тип интерфейса (если указан gfxboot, то графический, * GRUB_UI -- тип интерфейса (если указан gfxboot, то графический,
иначе текстовый); иначе текстовый);
* GRUB_CFG -- дополнительные кусочки конфигурации (например, live_rw). * GRUB_CFG -- дополнительные кусочки конфигурации (например, live_rw);
* GRUBTHEME -- имя темы grub, если не задана, то получает значение BRANDING
за вычетом традиционной приставки alt-).
Здесь производится первичная обработка конфигурационных данных, Здесь производится первичная обработка конфигурационных данных,
окончательно проверяемых и используемых уже в инструментальном чруте. окончательно проверяемых и используемых уже в инструментальном чруте.
......
submenu $"Change language (press F2)" --hotkey 'f2' --id 'lang' { submenu $"Change language (press F2)" --hotkey 'f2' --id 'lang' {
insmod regexp insmod regexp
for langstr in "ru_RU=Russian" "en_US=English" "pt_BR=Portuguese" "uk_UA=Ukrainian"; do for langstr in \
"ru_RU=Russian" \
"en_US=English" \
"pt_BR=Portuguese" \
"uk_UA=Ukrainian" \
; do
regexp -s 2:langname -s 1:langcode '(.*)=(.*)' "$langstr" regexp -s 2:langname -s 1:langcode '(.*)=(.*)' "$langstr"
for locale in @LOCALES@; do
if [ "$locale" != "$langcode" ]; then continue; fi
menuentry "${langname}" "$langcode" { menuentry "${langname}" "$langcode" {
lang="$2" lang="$2"
export lang export lang
configfile ${prefix}/grub.cfg configfile ${prefix}/grub.cfg
} }
done done
done
menuentry $"Return to the Main menu" { menuentry $"Return to the Main menu" {
configfile ${prefix}/grub.cfg configfile ${prefix}/grub.cfg
} }
......
...@@ -25,9 +25,11 @@ ifneq (,$(GRUB_UI)) ...@@ -25,9 +25,11 @@ ifneq (,$(GRUB_UI))
GRUB_CFG := $(GRUB_CFG) gfxterm GRUB_CFG := $(GRUB_CFG) gfxterm
endif endif
ifneq (,$(LOCALE)) ifneq (,$(LOCALES))
ifneq ($(words $(LOCALES)),1)
GRUB_CFG := $(GRUB_CFG) lang GRUB_CFG := $(GRUB_CFG) lang
endif endif
endif
ifneq (,$(KFLAVOURS)) ifneq (,$(KFLAVOURS))
ifneq ($(words $(KFLAVOURS)),1) ifneq ($(words $(KFLAVOURS)),1)
...@@ -103,7 +105,10 @@ bootargs: clean ...@@ -103,7 +105,10 @@ bootargs: clean
sed -i "s, lang=.lang,,g" $(DSTCFGS); \ sed -i "s, lang=.lang,,g" $(DSTCFGS); \
fi; \ fi; \
sed -i "/lang=@LOCALE@/d" $(DSTCFGS) sed -i "/lang=@LOCALE@/d" $(DSTCFGS)
GRUBTHEME=$(GRUBTHEME); \ @if [ -n "$(LOCALES)" ]; then \
sed -i "s,@LOCALES@,$(LOCALES),g" $(DSTCFGS); \
fi
@GRUBTHEME=$(GRUBTHEME); \
[ -n "$$GRUBTHEME" ] || GRUBTHEME=$$(cut -d "-" -f2 <<< $(BRANDING)); \ [ -n "$$GRUBTHEME" ] || GRUBTHEME=$$(cut -d "-" -f2 <<< $(BRANDING)); \
sed -i "s,@grubtheme@,$$GRUBTHEME,g" $(DSTCFGS) sed -i "s,@grubtheme@,$$GRUBTHEME,g" $(DSTCFGS)
@sed -i "s,@initrd@,initrd," $(DSTCFGS) @sed -i "s,@initrd@,initrd," $(DSTCFGS)
......
#!/bin/sh
# this was a bunch of dirty complaints
sed -i 's,/var/run,/run,' /{etc,lib}/tmpfiles.d/*.conf ||:
[ ! -L /var/run ] && rm -r /var/run && ln -s ../run /var/run
[ ! -L /var/lock ] && rm -r /var/lock && ln -s ../run/lock /var/lock
:
#!/bin/sh #!/bin/sh
# this was a bunch of dirty complaints
sed -i 's,/var/run,/run,' /{etc,lib}/tmpfiles.d/*.conf ||:
[ ! -L /var/run ] && rm -r /var/run && ln -s ../run /var/run [ ! -L /var/run ] && rm -r /var/run && ln -s ../run /var/run
[ ! -L /var/lock ] && rm -r /var/lock && ln -s ../run/lock /var/lock [ ! -L /var/lock ] && rm -r /var/lock && ln -s ../run/lock /var/lock
......
#!/bin/sh #!/bin/sh
# this was a bunch of dirty complaints
sed -i 's,/var/run,/run,' /{etc,lib}/tmpfiles.d/*.conf ||:
[ ! -L /var/run ] && rm -r /var/run && ln -s ../run /var/run [ ! -L /var/run ] && rm -r /var/run && ln -s ../run /var/run
[ ! -L /var/lock ] && rm -r /var/lock && ln -s ../run/lock /var/lock [ ! -L /var/lock ] && rm -r /var/lock && ln -s ../run/lock /var/lock
......
#!/bin/sh
# the part below relates to systemd as init specifically
rpm -q systemd-sysvinit || exit 0
sub() {
local file="$1"
shift
for i in "$@"; do
grep -q "^$i" "$file" || echo "$i" >> "$file"
done
}
# aufs2 root is rw in reality; but don't bother if there's a record already
grep -q '[[:space:]]/[[:space:]]' /etc/fstab ||
sub /etc/fstab '/dev/root / auto defaults 0 0'
...@@ -17,6 +17,7 @@ use/install2: use/stage2 sub/stage2@install2 use/metadata \ ...@@ -17,6 +17,7 @@ use/install2: use/stage2 sub/stage2@install2 use/metadata \
@$(call xport,BASE_BOOTLOADER) @$(call xport,BASE_BOOTLOADER)
@$(call xport,INSTALL2_CLEANUP_PACKAGES) @$(call xport,INSTALL2_CLEANUP_PACKAGES)
@$(call xport,INSTALL2_CLEANUP_KDRIVERS) @$(call xport,INSTALL2_CLEANUP_KDRIVERS)
@$(call add,INSTALL2_PACKAGES,lsof)
# doesn't use/install2/fs on purpose (at least so far) # doesn't use/install2/fs on purpose (at least so far)
use/install2/full: \ use/install2/full: \
......
...@@ -78,6 +78,7 @@ ifeq (,$(filter-out aarch64 armh riscv64,$(ARCH))) ...@@ -78,6 +78,7 @@ ifeq (,$(filter-out aarch64 armh riscv64,$(ARCH)))
@$(call add,VM_INITRDMODULES,drivers/pwm drivers/regulator) @$(call add,VM_INITRDMODULES,drivers/pwm drivers/regulator)
@$(call add,VM_INITRDMODULES,drivers/i2c) @$(call add,VM_INITRDMODULES,drivers/i2c)
@$(call add,VM_INITRDMODULES,drivers/mfd) @$(call add,VM_INITRDMODULES,drivers/mfd)
@$(call add,VM_INITRDMODULES,drivers/spi)
@$(call add,VM_INITRDMODULES,drivers/clk) @$(call add,VM_INITRDMODULES,drivers/clk)
@$(call add,VM_INITRDMODULES,drivers/gpu/drm/bridge) @$(call add,VM_INITRDMODULES,drivers/gpu/drm/bridge)
@$(call add,VM_INITRDMODULES,drivers/gpu/drm/rockchip) @$(call add,VM_INITRDMODULES,drivers/gpu/drm/rockchip)
......
#!/bin/bash
langlist="/etc/alterator/sysconfig/lang/langlist.all"
langlist_temp="$langlist".temp
locales="$GLOBAL_LOCALES"
[ -f "$langlist" ] || exit 0
[ -n "$locales" ] || exit 0
rm -f "$langlist_temp"
for lang in $locales; do
grep -q "$lang" "$langlist" && grep "$lang" "$langlist" >> "$langlist_temp"
done
mv "$langlist_temp" "$langlist"
#!/bin/bash
langlist="/etc/alterator/sysconfig/lang/langlist.all"
langlist_temp="$langlist".temp
locales="$GLOBAL_LOCALES"
[ -f "$langlist" ] || exit 0
[ -n "$locales" ] || exit 0
rm -f "$langlist_temp"
for lang in $locales; do
grep -q "$lang" "$langlist" && grep "$lang" "$langlist" >> "$langlist_temp"
done
mv "$langlist_temp" "$langlist"
...@@ -2,4 +2,4 @@ ...@@ -2,4 +2,4 @@
# if we're configured for running live hooks, # if we're configured for running live hooks,
# there should be a place for them either # there should be a place for them either
chkconfig livecd-run-hooks on >&/dev/null && mkdir /live.hooks ||: chkconfig livecd-run-hooks on >&/dev/null ||:
...@@ -17,7 +17,7 @@ use/plymouth: ...@@ -17,7 +17,7 @@ use/plymouth:
ifeq (distro,$(IMAGE_CLASS)) ifeq (distro,$(IMAGE_CLASS))
use/plymouth/stage2: use/plymouth use/branding \ use/plymouth/stage2: use/plymouth use/branding \
use/stage2/kms use/stage2/kms
@$(call add,STAGE1_PACKAGES_REGEXP,make-initrd-plymouth) @$(call add,STAGE1_PACKAGES,make-initrd-plymouth)
@$(call add,STAGE1_BRANDING,bootsplash graphics) @$(call add,STAGE1_BRANDING,bootsplash graphics)
@$(call add,STAGE2_BRANDING,bootsplash graphics) @$(call add,STAGE2_BRANDING,bootsplash graphics)
@$(call add,STAGE2_BOOTARGS,quiet splash) @$(call add,STAGE2_BOOTARGS,quiet splash)
...@@ -25,26 +25,16 @@ else ...@@ -25,26 +25,16 @@ else
use/plymouth/stage2: use/plymouth use/branding; @: use/plymouth/stage2: use/plymouth use/branding; @:
endif endif
ifeq (vm,$(IMAGE_CLASS)) use/plymouth/base: use/plymouth/stage2 use/drm/full; @:
use/plymouth/vm: use/plymouth use/branding use/kernel/initrd-setup
@$(call add,VM_INITRDFEATURES,plymouth)
@$(call add,THE_BRANDING,bootsplash graphics)
@$(call add,THE_PACKAGES,make-initrd-plymouth)
@$(call add,BASE_BOOTARGS,quiet)
@$(call add,THE_KMODULES,drm)
else
use/plymouth/vm: use/plymouth; @:
endif
use/plymouth/base: use/plymouth/stage2 use/plymouth/vm \
use/drm/full; @:
ifeq (distro,$(IMAGE_CLASS)) ifeq (distro,$(IMAGE_CLASS))
@$(call add,INSTALL2_PACKAGES,installer-feature-setup-plymouth) @$(call add,INSTALL2_PACKAGES,installer-feature-setup-plymouth)
endif endif
@$(call add,BASE_PACKAGES_REGEXP,make-initrd-plymouth cpio) @$(call add,THE_BRANDING,bootsplash graphics)
@$(call add,THE_BRANDING,bootsplash) @$(call add,THE_PACKAGES,make-initrd-plymouth cpio)
@$(call add,THE_PACKAGES,make-initrd-plymouth) ifeq (vm,$(IMAGE_CLASS))
@$(call add,BASE_BOOTARGS,splash) @$(call add,VM_INITRDFEATURES,plymouth)
@$(call add,BASE_BOOTARGS,quiet splash)
endif
use/plymouth/full: use/plymouth/stage2 use/plymouth/base; @: use/plymouth/full: use/plymouth/stage2 use/plymouth/base; @:
......
#!/bin/sh
# enable online repository even more unconditionally
sed -i "s,^#\(rpm .* http.*\),\1," "/etc/apt/sources.list.d/alt.list" ||
echo "** warning: unable to enable online repos" >&2
...@@ -18,7 +18,7 @@ use/sound/pulse: use/sound ...@@ -18,7 +18,7 @@ use/sound/pulse: use/sound
use/sound/pipewire: use/sound use/sound/pipewire: use/sound
@$(call set,THE_SOUND,sound/pipewire) @$(call set,THE_SOUND,sound/pipewire)
@$(call add,DEFAULT_SYSTEMD_USER_SERVICES_ENABLE,pipewire pipewire-pulse pipewire-media-session) @$(call add,DEFAULT_SYSTEMD_USER_SERVICES_ENABLE,pipewire pipewire-pulse)
ifeq (sisyphus,$(BRANCH)) ifeq (sisyphus,$(BRANCH))
@$(call add,THE_PACKAGES,wireplumber) @$(call add,THE_PACKAGES,wireplumber)
@$(call add,DEFAULT_SYSTEMD_USER_SERVICES_ENABLE,wireplumber) @$(call add,DEFAULT_SYSTEMD_USER_SERVICES_ENABLE,wireplumber)
......
...@@ -2,6 +2,7 @@ ...@@ -2,6 +2,7 @@
use/wireless: use/kernel/wireless use/wireless: use/kernel/wireless
@$(call add_feature) @$(call add_feature)
@$(call add,THE_PACKAGES,firmware-wireless-regdb)
@$(call add,THE_LISTS,tools/wireless) @$(call add,THE_LISTS,tools/wireless)
use/wireless/full: use/wireless; @: use/wireless/full: use/wireless; @:
......
...@@ -7,6 +7,10 @@ if [ ! -x /usr/bin/X ]; then ...@@ -7,6 +7,10 @@ if [ ! -x /usr/bin/X ]; then
fi fi
USER=altlinux USER=altlinux
if ! id "$USER" >&/dev/null; then
echo "SKIP autologin: $USER does not exist"
exit 0
fi
add_nopasswdlogin_group() add_nopasswdlogin_group()
{ {
......
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=ALT Domain Server (ldap+kerberos)
X-Alterator-PackageList=centaurus/domain-server
X-Alterator-Parent=centaurus/10-alterator
X-Alterator-Required=no
Name[ru_RU]=Сервер Домена LDAP и Kerberos
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=Publishing
Name[ru_RU]=Издательство
X-Alterator-Required=no
Comment=Desktop Publishing applications
Comment[ru_RU]=Приложения для издательства
...@@ -5,4 +5,3 @@ Name=FreeCAD system ...@@ -5,4 +5,3 @@ Name=FreeCAD system
Name[ru_RU]=САПР (FreeCAD) Name[ru_RU]=САПР (FreeCAD)
X-Alterator-PackageList=workstation/freecad X-Alterator-PackageList=workstation/freecad
X-Alterator-Required=no X-Alterator-Required=no
X-Alterator-Parent=workstation/50-publishing
...@@ -4,6 +4,6 @@ Type=Directory ...@@ -4,6 +4,6 @@ Type=Directory
Name=Graphics editing Name=Graphics editing
Name[ru_RU]=Обработка графики Name[ru_RU]=Обработка графики
X-Alterator-PackageList=workstation/graphics-editing X-Alterator-PackageList=workstation/graphics-editing
X-Alterator-Required=no X-Alterator-Required=yes
X-Alterator-Parent=workstation/30-multimedia X-Alterator-Parent=workstation/30-multimedia
Categories=KDE;KDE4;GNOME;XFCE; Categories=KDE;KDE4;GNOME;XFCE;
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=QGIS geoinformation system
Name[ru_RU]=Геоинформационная система QGIS
X-Alterator-PackageList=workstation/qgis
X-Alterator-Parent=workstation/50-publishing
...@@ -5,5 +5,3 @@ Name=Scribus desktop publishing system ...@@ -5,5 +5,3 @@ Name=Scribus desktop publishing system
Name[ru_RU]=Издательская система (Scribus) Name[ru_RU]=Издательская система (Scribus)
X-Alterator-PackageList=workstation/scribus X-Alterator-PackageList=workstation/scribus
X-Alterator-Required=no X-Alterator-Required=no
X-Alterator-Parent=workstation/50-publishing
Categories=KDE;KDE4;GNOME;XFCE;
...@@ -6,3 +6,4 @@ admx-basealt ...@@ -6,3 +6,4 @@ admx-basealt
samba-dc-common samba-dc-common
admx-firefox admx-firefox
admx-chromium admx-chromium
gpui
...@@ -77,6 +77,9 @@ mariadb@META ...@@ -77,6 +77,9 @@ mariadb@META
php8.0-soap php8.0-soap
php8.0-calendar php8.0-calendar
php8.0-sockets
php8.0-pgsql
php8.0-ldap
xprobe2 xprobe2
...@@ -110,3 +113,4 @@ seavgabios ...@@ -110,3 +113,4 @@ seavgabios
haproxy haproxy
keepalived keepalived
eepm eepm
eepm-yum
samba-common
ldap-user-tools
samba
samba-client
alt-domain-server
bind
#systemd-timesyncd- systemd-networkd-
samba-common-tools
samba-libs
alterator-openldap
alterator-kdc
###installer-feature-resolver-bind-stage3
autofs
avahi-daemon
avahi-tools
...@@ -178,7 +178,7 @@ NetworkManager-openvpn-gtk ...@@ -178,7 +178,7 @@ NetworkManager-openvpn-gtk
NetworkManager-pptp-gtk NetworkManager-pptp-gtk
NetworkManager-vpnc-gtk NetworkManager-vpnc-gtk
# strongswan (for NM-l2tp) conflicts with pki-tools (for freeipa-server) # strongswan (for NM-l2tp) conflicts with pki-tools (for freeipa-server)
#NetworkManager-l2tp-gtk NetworkManager-l2tp-gtk
NetworkManager-sstp-gtk@X86 NetworkManager-sstp-gtk@X86
usb-modeswitch usb-modeswitch
autofs autofs
......
thunderbird@!riscv64 thunderbird
pidgin pidgin
pidgin-libnotify pidgin-libnotify
...@@ -7,15 +7,4 @@ rdesktop ...@@ -7,15 +7,4 @@ rdesktop
remmina remmina
remmina-plugins remmina-plugins
claws-mail@riscv64
claws-mail-plugin-attachwarner@riscv64
claws-mail-plugin-notification@riscv64
claws-mail-plugin-pgpcore@riscv64
claws-mail-plugin-pgpinline@riscv64
claws-mail-plugin-pgpmime@riscv64
claws-mail-plugin-rssyl@riscv64
claws-mail-plugin-spamassassin@riscv64
claws-mail-plugin-vcalendar@riscv64
claws-mail-tools@riscv64
telegram-desktop@E2K telegram-desktop@E2K
cinnamon-minimal@META
cinnamon-default@META cinnamon-default@META
cinnamon-regular@META cinnamon-regular@META
installer-feature-xdg-user-dirs installer-feature-xdg-user-dirs
...@@ -3,7 +3,6 @@ xinit ...@@ -3,7 +3,6 @@ xinit
xinitrc xinitrc
livecd-setlocale livecd-setlocale
livecd-timezone livecd-timezone
installer-feature-runlevel5-stage3
os-prober os-prober
sudo sudo
su su
wireless-tools wireless-tools
ath_info ath_info
rfkill rfkill
crda@X86
iw iw
...@@ -53,8 +53,15 @@ quota ...@@ -53,8 +53,15 @@ quota
mailx mailx
nano nano
mc mc
installer-feature-repo-add
ipmitool ipmitool
udev-rules-ioschedulers udev-rules-ioschedulers
alt-issue-server alt-issue-server
systemd-settings-disable-kill-user-processes systemd-settings-disable-kill-user-processes
ca-certificates-digital.gov.ru
isbc-pkcs11
libjcpkcs11
opensc
pam_pkcs11
pcsc-lite
pcsc-lite-ccid
pcsc-tools
...@@ -27,3 +27,6 @@ pcs ...@@ -27,3 +27,6 @@ pcs
ansible ansible
docker-compose docker-compose
etcd etcd
inxi
dmidecode
sssd-ldap
java-11-openjdk@!E2K,mipsel java-17-openjdk@!E2K,mipsel
java-1.8.0-openjdk@E2K,mipsel java-1.8.0-openjdk@E2K,mipsel
ganttproject ganttproject
...@@ -7,7 +7,7 @@ LibreOffice@E2K ...@@ -7,7 +7,7 @@ LibreOffice@E2K
LibreOffice-langpack-ru@E2K LibreOffice-langpack-ru@E2K
LibreOffice-common@E2K LibreOffice-common@E2K
java-11-openjdk@!E2K,mipsel java-17-openjdk@!E2K,mipsel
java-1.8.0-openjdk@E2K,mipsel java-1.8.0-openjdk@E2K,mipsel
libreoffice-languagetool@!mipsel libreoffice-languagetool@!mipsel
libcmis libcmis
......
...@@ -3,7 +3,7 @@ LibreOffice-langpack-ru ...@@ -3,7 +3,7 @@ LibreOffice-langpack-ru
LibreOffice-gtk3 LibreOffice-gtk3
LibreOffice-common LibreOffice-common
java-11-openjdk@!E2K,mipsel java-17-openjdk@!E2K,mipsel
java-1.8.0-openjdk@E2K,mipsel java-1.8.0-openjdk@E2K,mipsel
libreoffice-languagetool@!mipsel libreoffice-languagetool@!mipsel
libcmis libcmis
......
qgis
#qgis-grass
qgis-python
...@@ -26,6 +26,9 @@ grub-customizer@X86 ...@@ -26,6 +26,9 @@ grub-customizer@X86
xorg-conf-libinput-touchpad xorg-conf-libinput-touchpad
glxgears
glxinfo
# Support Chinese characters # Support Chinese characters
fonts-bitmap-wqy fonts-bitmap-wqy
......
...@@ -2,4 +2,4 @@ ...@@ -2,4 +2,4 @@
Type=Directory Type=Directory
Name=Office Server Name=Office Server
Name[ru_RU]=Офисный сервер Name[ru_RU]=Офисный сервер
X-Alterator-Groups=centaurus/dhcp-server-a centaurus/dns-server-a centaurus/ftp-server-a centaurus/mail-server-a centaurus/mysql-server-a centaurus/netinst centaurus/http-server centaurus/dns-server centaurus/bacula-server centaurus/kvm-server centaurus/xorg centaurus/samba centaurus/domain-server centaurus/alterator centaurus/mate centaurus/office centaurus/cups centaurus/nm-daemon X-Alterator-Groups=centaurus/dhcp-server-a centaurus/dns-server-a centaurus/ftp-server-a centaurus/mail-server-a centaurus/mysql-server-a centaurus/netinst centaurus/http-server centaurus/dns-server centaurus/bacula-server centaurus/kvm-server centaurus/xorg centaurus/samba centaurus/alterator centaurus/mate centaurus/office centaurus/cups centaurus/nm-daemon
#!/bin/sh
# for udev
ln -sf /proc/mounts /etc/mtab
# pam_console_apply is harmful during install
find /etc/udev/rules.d/ -type f -print0 |
xargs -r0 grep -F -Zl pam_console_apply -- |
xargs -r0 rm -fv --
#!/bin/sh
# don't cripple the image to be copied over
[ -x /usr/sbin/live-install -o -x /usr/sbin/livecd-install ] && exit 0
# no sense in xorg-dri-* without kernel-modules-drm*
stat /lib/modules/*/kernel/drivers/gpu/drm >&/dev/null \
|| rm -rf /usr/lib*/X11/modules/dri/
:
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment